ubuntu/+source/dovecot:applied/ubuntu/disco-updates

Last commit made on 2019-08-28
Get this branch:
git clone -b applied/ubuntu/disco-updates https://git.launchpad.net/ubuntu/+source/dovecot
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/disco-updates
Repository:
lp:ubuntu/+source/dovecot

Recent commits

3101d37... by Leonidas S. Barbosa on 2019-08-28

Import patches-applied version 1:2.3.4.1-1ubuntu2.4 to applied/ubuntu/disco-security

Imported using git-ubuntu import.

Changelog parent: 4f63dfa20046307a3eee992f828e77b11395d32f
Unapplied parent: 39fa84c7de58a6c58db52ce401e1620a2cfd3d46

New changelog entries:
  * SECURITY REGRESSION: updating CVE-2019-11500-3.patch with the right check

39fa84c... by Leonidas S. Barbosa on 2019-08-28

[PATCH 2/2] lib-managesieve: Make sure str_unescape() won't be

Gbp-Pq: CVE-2019-11500-4.patch.

967250a... by Leonidas S. Barbosa on 2019-08-28

[PATCH 1/2] lib-managesieve: Don't accept strings with NULs

Gbp-Pq: CVE-2019-11500-3.patch.

f3c10ed... by Leonidas S. Barbosa on 2019-08-28

[PATCH 2/2] lib-imap: Make sure str_unescape() won't be writing past

Gbp-Pq: CVE-2019-11500-2.patch.

c1d9b73... by Leonidas S. Barbosa on 2019-08-28

[PATCH 1/2] lib-imap: Don't accept strings with NULs

Gbp-Pq: CVE-2019-11500-1.patch.

0b2a885... by Leonidas S. Barbosa on 2019-08-28

[PATCH 3/3] lib-smtp: smtp-server-cmd-auth - Fix AUTH response error

Gbp-Pq: CVE-2019-1149x-3.patch.

4167d01... by Leonidas S. Barbosa on 2019-08-28

[PATCH 2/3] submission-login: client-authenticate - Fix crash

Gbp-Pq: CVE-2019-1149x-2.patch.

39b2c02... by Leonidas S. Barbosa on 2019-08-28

[PATCH 1/3] submission-login: Remove unused client->pending_starttls.

Gbp-Pq: CVE-2019-1149x-1.patch.

c5ac405... by Leonidas S. Barbosa on 2019-08-28

[PATCH 1/2] lib: json - Escape invalid UTF-8 as unicode bytes

Gbp-Pq: CVE-2019-10691.patch.

25d952f... by Leonidas S. Barbosa on 2019-08-28

[PATCH 2/2] fts: Fix buffer overflow when reading oversized fts

Gbp-Pq: CVE-2019-7524-2.patch.